Loading...
Searching...
No Matches
irr::IOSOperator Class Referenceabstract

The Operating system operator provides operation system specific methods and informations. More...

`#include <IOSOperator.h>`

Inheritance diagram for irr::IOSOperator:

## Public Member Functions

virtual void | copyToClipboard (const c8 *text) const =0
| Copies text to the clipboard.
virtual const core::stringc & | getOperatingSystemVersion () const =0
| Get the current operation system version as string.
_IRR_DEPRECATED_ const wchar_t * | getOperationSystemVersion () const
| Get the current operation system version as string.
virtual bool | getProcessorSpeedMHz (u32 *MHz) const =0
| Get the processor speed in megahertz.
virtual bool | getSystemMemory (u32 *totalBytes, u32 *availableBytes) const =0
| Get the total and available system RAM.
virtual const c8 * | getTextFromClipboard () const =0
| Get text from the clipboard.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

The Operating system operator provides operation system specific methods and informations.

Definition at line 15 of file IOSOperator.h.

## Member Function Documentation

## copyToClipboard()

virtual void irr::IOSOperator::copyToClipboard | ( | const c8 * | text | ) | const

pure virtual

Copies text to the clipboard.

## getOperatingSystemVersion()

virtual const core::stringc & irr::IOSOperator::getOperatingSystemVersion | ( |  | ) | const

pure virtual

Get the current operation system version as string.

Referenced by getOperationSystemVersion().

## getOperationSystemVersion()

_IRR_DEPRECATED_ const wchar_t * irr::IOSOperator::getOperationSystemVersion | ( |  | ) | const

inline

Get the current operation system version as string.

Deprecated
  Use getOperatingSystemVersion instead. This method will be removed in Irrlicht 1.9.

Definition at line 23 of file IOSOperator.h.

References _IRR_DEPRECATED_, irr::core::string< T, TAlloc >::c_str(), and getOperatingSystemVersion().

## getProcessorSpeedMHz()

virtual bool irr::IOSOperator::getProcessorSpeedMHz | ( | u32 * | MHz | ) | const

pure virtual

Get the processor speed in megahertz.

Parameters

  MHz | The integer variable to store the speed in.

Returns
  True if successful, false if not

## getSystemMemory()

virtual bool irr::IOSOperator::getSystemMemory | ( | u32 * | totalBytes,
|  | u32 * | availableBytes ) const

pure virtual

Get the total and available system RAM.

Parameters

  totalBytes | will contain the total system memory in bytes
  availableBytes | will contain the available memory in bytes

Returns
  True if successful, false if not

## getTextFromClipboard()

virtual const c8 * irr::IOSOperator::getTextFromClipboard | ( |  | ) | const

pure virtual

Get text from the clipboard.

Returns
  Returns 0 if no string is in there.

The documentation for this class was generated from the following file:

- IOSOperator.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0